Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Pango::AttrStretch Class Reference

Pango stretch C++ wrapper class. More...

`#include <xfc/pango/attributes.hh>`

Inheritance diagram for Xfc::Pango::AttrStretch:

List of all members.

## Public Member Functions

Constructors

- AttrStretch (Stretch stretch=STRETCH_NORMAL)
    Construct a new font stretch attribute.

Accessors

- Stretch stretch () const
    Returns the stretch.

Methods

- void set_stretch (Stretch stretch)
    Sets the stretch.

## Detailed Description

Pango stretch C++ wrapper class.

AttrStretch wraps the stretch attribute (ATTR_STRETCH).

## Constructor & Destructor Documentation

Xfc::Pango::AttrStretch::AttrStretch | ( | Stretch | stretch = `STRETCH_NORMAL` | ) | `[explicit]`

Construct a new font stretch attribute.

Parameters:

  | stretch | The stretch.

## Member Function Documentation

void Xfc::Pango::AttrStretch::set_stretch | ( | Stretch | stretch | ) |

Sets the stretch.

Parameters:

  | stretch | The new stretch.

The documentation for this class was generated from the following file:

- attributes.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3